aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/run-xmonad.sh
diff options
context:
space:
mode:
authorDon Stewart <dons@cse.unsw.edu.au>2007-06-09 08:09:13 +0200
committerDon Stewart <dons@cse.unsw.edu.au>2007-06-09 08:09:13 +0200
commit5309cd40cb1384cb9de4ca114b06fbb2d3d5d45f (patch)
treebe5ed7375a0599fbedf2911d47608aaeb524ef26 /scripts/run-xmonad.sh
parent9533c8a0d61c5b172294ea2705596af016e1ab86 (diff)
downloadXMonadContrib-5309cd40cb1384cb9de4ca114b06fbb2d3d5d45f.tar.gz
XMonadContrib-5309cd40cb1384cb9de4ca114b06fbb2d3d5d45f.tar.xz
XMonadContrib-5309cd40cb1384cb9de4ca114b06fbb2d3d5d45f.zip
latest version of xmonad-status.hs
darcs-hash:20070609060913-9c5c1-b6d51e6a373cbdf2d8f6bc101d693a3b32251fb5.gz
Diffstat (limited to 'scripts/run-xmonad.sh')
-rwxr-xr-xscripts/run-xmonad.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/scripts/run-xmonad.sh b/scripts/run-xmonad.sh
new file mode 100755
index 0000000..aad2526
--- /dev/null
+++ b/scripts/run-xmonad.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# launch xmonad, with a couple of dzens to run the status bar
+# send xmonad state over a named pipe
+#
+
+FG='#a8a3f7'
+BG='#3f3c6d'
+FONT="-xos4-terminus-medium-r-normal--16-160-72-72-c-80-iso8859-1"
+
+PATH=/home/dons/bin:$PATH
+
+# simple xmonad use, no interactive status bar.
+#
+#clock | dzen2 -ta r -fg $FG -bg $BG -fn $FONT &
+#exec xmonad
+
+#
+# with a pipe talking to an external program
+#
+PIPE=$HOME/.xmonad-status
+rm -f $PIPE
+/sbin/mkfifo -m 600 $PIPE
+[ -p $PIPE ] || exit
+
+# launch the external 60 second clock, and launch the workspace status bar
+clock | dzen2 -e '' -x 300 -w 768 -ta r -fg $FG -bg $BG -fn $FONT &
+xmonad-status < $PIPE | dzen2 -e '' -w 300 -ta l -fg $FG -bg $BG -fn $FONT &
+
+# now go for it
+xmonad > $PIPE &
+
+# wait for xmonad
+wait $!
+
+pkill -HUP dzen2
+pkill -HUP ssh-agent
+pkill -HUP -f clock
+pkill -HUP -f xmonad-status
+
+wait